Cyberduck Mountain Duck CLI

#11219 closed enhancement (fixed)

Add SUFeedURL key in Info.plist for macOS builds

Reported by: NanoSector Owned by:
Priority: normal Milestone: 7.7.0
Component: core Version: 7.6.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: macOS 10.15

Description

Adding this key in the root of the Info.plist file allows for apps like Latest (https://github.com/mangerlahn/Latest) to detect and install updates.

I have verified that this works by adding the key manually with Xcode and the URL set to https://version.cyberduck.io/changelog.rss . Attached is a screenshot of Latest detecting a newer version of Cyberduck with just this change. Installing the update worked properly too.

I would open a PR to add this but I was unsure if this required any further tweaking as there seem to be multiple feeds looking through the source code and the interface.

Attachments (1)

Cyberduck in Latest.app.png (847.2 KB) - added by NanoSector on Oct 28, 2020 at 6:01:48 PM.

Download all attachments as: .zip

Change History (7)

Changed on Oct 28, 2020 at 6:01:48 PM by NanoSector

comment:1 Changed on Oct 28, 2020 at 6:54:46 PM by dkocher

Alternatively there is a Homebrew Cask which is maintained.

comment:2 Changed on Oct 28, 2020 at 6:58:13 PM by dkocher

We allow to switch between update feeds and thus have no need for a default. However we do explicitly set the update feed from this preference in code and thus it should not do any harm to have a default again in Info.plist.

comment:3 Changed on Oct 28, 2020 at 7:03:05 PM by dkocher

A change request would need to set this dynamically from the default update feed set from our CI environment for the different builds and set it accordingly like CFBundleVersion and CFBundleShortVersionString. Refer to build.settings in build.xml.

comment:4 Changed on Oct 28, 2020 at 7:27:25 PM by NanoSector

Thanks for your quick reply. The homebrew cask is a good option indeed, however homebrew will not keep it up to date because auto_updates is set.

It looks like the sparkle feed is already set in the Xcode build options which get included in the other build targets. This looks like it should make it trivial to include this variable in the info.plist considering how the others are integrated. I will look into opening a PR on GitHub for this tomorrow if I get the chance.

comment:5 Changed on Dec 4, 2020 at 4:34:52 PM by dkocher

  • Milestone set to 7.7
  • Resolution set to fixed
  • Status changed from new to closed

In r50036.

comment:6 Changed on Dec 30, 2020 at 10:11:58 AM by dkocher

  • Milestone changed from 7.7 to 7.7.0

Milestone renamed

Note: See TracTickets for help on using tickets.